Skip to main content
POST
/
datasets
/
v3
/
scrape
Discover by Profile URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>",
      "num_of_posts": 123,
      "start_date": "<string>",
      "end_date": "<string>",
      "posts_to_not_include": [
        "<string>"
      ],
      "what_to_collect": "<string>"
    }
  ]
}
'
[
  {
    "post_id": "7553300000000000000",
    "description": "You won't believe what happened next #challenge",
    "create_time": "2025-01-20T18:00:00.000Z",
    "share_count": 120000,
    "collect_count": 45000,
    "comment_count": 32000,
    "play_count": 85000000,
    "video_duration": 120,
    "hashtags": [
      "#challenge"
    ],
    "video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
    "profile_username": "examplecreator",
    "profile_url": "https://www.tiktok.com/@examplecreator",
    "is_verified": true
  }
]

Query Parameters

dataset_id
string
default:"gd_lu702nij2f790tmv9h"
required
The dataset ID used for this request.
Must be set to gd_lu702nij2f790tmv9h to collect Discover by Profile URL data.
type
string
default:"discover_new"
Must be set to discover_new.
discover_by
string
default:"profile_url"
Must be set to profile_url.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {
      "url": "https://www.tiktok.com/@mrbeast",
      "num_of_posts": 10,
      "start_date": "01-01-2025",
      "end_date": "03-01-2025"
    }
  ]
}
[
  {
    "post_id": "7553300000000000000",
    "description": "You won't believe what happened next #challenge",
    "create_time": "2025-01-20T18:00:00.000Z",
    "share_count": 120000,
    "collect_count": 45000,
    "comment_count": 32000,
    "play_count": 85000000,
    "video_duration": 120,
    "hashtags": [
      "#challenge"
    ],
    "video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
    "profile_username": "examplecreator",
    "profile_url": "https://www.tiktok.com/@examplecreator",
    "is_verified": true
  }
]